using System;
using System.Collections.Generic;
using System.Text;

namespace PortoTuristico
{
    class BarcaMotore:Barca
    {
        private bool motore;
        public string Motore
        {
            get {
                if (motore)
                    return "elettrico";
                else
                    return "diesel";
            }
            set {
                if (value.ToLower().Equals("elttrico"))
                    motore = true;
                else
                    if (value.ToLower().Equals("diesel"))
                        motore = false;
                    else
                        throw new Exception();
            }
        }

        public int PotenzaMotore { get; private set; }
        public int PesoMotore { get; private set; }
        public BarcaMotore(string motore, int potenzaMotore, int pesoMotore, string nome, string nazionalita, int pesoMassimo)
            : base( nome, nazionalita, pesoMassimo)
        { 
            Motore = motore;
            PotenzaMotore = potenzaMotore;
            PesoMotore = pesoMotore;
        }

        public override double CostoGiornaliero()
        {
            return base.CostoGiornaliero()+(PesoMotore*20);
        }
        public override string Info()
        {
            return base.Info()+string.Format("Caratteristiche motore:\n\tTipo motore: {0}\n\tPotenza motore: {1}\n\tpeso motore: {2}",Motore,PotenzaMotore,PesoMotore);
        }
        public override string ToString()
        {
            return base.ToString()+string.Format("{0}|{1}|{2}|",Motore,PotenzaMotore,PesoMotore);
        }
    }
}
